> ## Documentation Index
> Fetch the complete documentation index at: https://atibu.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Webhook

> Update Webhook



## OpenAPI

````yaml https://api.rokcel.com/v1/platform/openapi patch /v1/webhook/f83398f4-ba59-4f71-9f17-6a6aaf7a15d9/
openapi: 3.0.3
info:
  title: Rokcel API
  version: 1.0.0
  contact: {}
servers:
  - url: https://api.rokcel.com
security: []
tags:
  - name: Platform
  - name: Peer 2 Peer
  - name: Bucket
  - name: Withdraw
  - name: E-Wallet Mobile Money
  - name: Deposit
  - name: Transaction
  - name: Archive
  - name: Core
  - name: Setting
  - name: State
  - name: CheckOut
  - name: Webhook
paths:
  /v1/webhook/f83398f4-ba59-4f71-9f17-6a6aaf7a15d9/:
    patch:
      tags:
        - Webhook
      summary: Update Webhook
      description: Update Webhook
      operationId: updateWebhook
      parameters:
        - name: cache-control
          in: header
          schema:
            type: string
            example: no-cache
        - name: postman-token
          in: header
          schema:
            type: string
            example: <calculated when request is sent>
        - name: host
          in: header
          schema:
            type: string
            example: <calculated when request is sent>
        - name: user-agent
          in: header
          schema:
            type: string
            example: PostmanRuntime/7.39.1
        - name: accept-encoding
          in: header
          schema:
            type: string
            example: gzip, deflate, br
        - name: connection
          in: header
          schema:
            type: string
            example: keep-alive
        - name: x-auth-token
          in: header
          schema:
            type: string
            example: '{{APP_TOKEN}}'
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                event_app_deleted:
                  type: boolean
                  example: false
                event_app_updated:
                  type: boolean
                  example: false
                event_bucket_deposit_failed:
                  type: boolean
                  example: true
                event_bucket_deposit_initiated:
                  type: boolean
                  example: true
                event_bucket_deposit_succeeded:
                  type: boolean
                  example: true
                event_bucket_withdraw_failed:
                  type: boolean
                  example: true
                event_bucket_withdraw_initiated:
                  type: boolean
                  example: true
                event_bucket_withdraw_succeeded:
                  type: boolean
                  example: true
                event_p2p_transfer_failed:
                  type: boolean
                  example: false
                event_p2p_transfer_start:
                  type: boolean
                  example: false
                event_p2p_transfer_succeeded:
                  type: boolean
                  example: false
            examples:
              Update Webhook:
                value:
                  event_app_deleted: false
                  event_app_updated: false
                  event_bucket_deposit_failed: true
                  event_bucket_deposit_initiated: true
                  event_bucket_deposit_succeeded: true
                  event_bucket_withdraw_failed: true
                  event_bucket_withdraw_initiated: true
                  event_bucket_withdraw_succeeded: true
                  event_p2p_transfer_failed: false
                  event_p2p_transfer_start: false
                  event_p2p_transfer_succeeded: false
      responses:
        '200':
          description: ''

````